Subject: Re: [bug-diffutils] bug#20062: bug#20062: bug#20062: [PATCH] diff: add support for --color

From: Giuseppe Scrivano <[email-masked]>
Date: Sun, 15 Mar 2015 22:06:16 +0100

Andreas Grünbacher <[email-masked]> writes:

> 2015-03-14 21:29 GMT+01:00 Paul Eggert <[email-masked]>:
>> 'grep' and 'ls' default to the equivalent of NEVER; shouldn't 'diff' do the
>> same?
>
> I think color terminals are the standard nowadays, but if you think
> that the default should be 'never', I could live with that. In any
> case, the program help text is wrong, too:
>
>>      --color[=WHEN]         colorize the output; WHEN can be 'never', 'always',
>>                               or 'auto' (the default)
>
> The default for WHEN is still 'always', but when the option is not
> used at all, the default is either 'auto' (my preference) or 'never'.
> Confusing ...

I think the default for --color should be auto.  Outputting stdout to a
file happens more often with diff than with ls and having the colors
commands in a diff file is to be avoided as much as possible (if people
really want it, then they can force it with always).

grep seems to default to "auto" as well when --color is specified.

Regards,
Giuseppe